Solfege(1)

NAME
solfege - GPL'ed ear training software

SYNOPSIS
solfege [options]

DESCRIPTION
GNU Solfege is a program that let you use your computer to do ear training.

This man page contains info to get Solfege up and running. For help on using the program, please use the online documentation.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-v, --version

-w, --warranty
    Show warranty and copyright.

--no-splash
    Do not show the startup window.

--verbose-sound-init
    Display more info about the sound setup.

--no-sound
    Do not play any sounds. Instead some data is printed to standard output. Use this for debugging and porting.

--debug
    Include features used by the Solfege developers to debug the program. --disable-exception-handler Disable the exception handling in Gui.standard_exception_handler.

--no-random
    For debugging only: Select questions from lesson files in sequential order.

--enable-gtkhtml
    Run using gtkhtml2 instead of the built in HTML viewer.

--no-cairo-widgets
    Do not use the cairo version of input widgets, even if we run gtk+ 2.8.0 or newer.

--show-gtk-warnings
    Show GtkWarnings and PangoWarnings in the traceback window.

BUGS
Plenty! You can report them to bug-solfege@gnu.org or http://www.solfege.org/wiki/SITS, or even better: post a patch to fix it to the same address. Remember to tell what version of Solfege you are running and the name and version of you operation system.

FILES

/etc/solfege
    if solfege is installed into /usr, or {prefix}/etc/solfege in all other cases. System administrators can override the values in the default.config file. The most obvious values you might want to change is the sound setup.

~/.solfegerc
    This file is used to store most configuration values. While it is possible to edit the file by hand, everything you need can and should be done from the gui.

~/.solfege
    Statistics is stored in subdirectories below this dir.

NOTES
If you don't have /dev/music it is possible that your kernel supports it. Try to create the device file yourself (as root):

          # cd /dev
          # mknod music u 14 8
To get more help on solfege, use the online documentation, look at the files in /usr/share/doc/solfege (debian users) and the README and INSTALL file from the downloaded .tar.gz file. If you have problems running solfege please post your questions to <solfege-devel@lists.sourceforge.net>. Remember to mention what version of Solfege you have, and the name and version of your operating system. If possible, please check that the bug exists in the latest version of Solfege.

COPYRIGHT
GNU Solfege is Copyright © 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 by Tom Cato Amundsen <tca@gnu.org>.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

AUTHOR
Main author of GNU Solfege and this manual page is Tom Cato Amundsen <tca@gnu.org>. For more details, read the AUTHORS file from the source tarball.